Get call results
Returns the dialer’s call results for a phone number.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
get_resultsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
Phone number in E.164 or 10-digit US format.
Example5551234567Maximum number of rows to return.
Example50
curl https://api.dcdial.com/api/ \ -d type=get_results \ -d token="$DCDIAL_TOKEN" \ -d phone_number=5551234567<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'get_results', 'token' => getenv('DCDIAL_TOKEN'), 'phone_number' => '5551234567', ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "get_results", token: process.env.DCDIAL_TOKEN, phone_number: "5551234567", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "get_results", "token": os.environ["DCDIAL_TOKEN"], "phone_number": "5551234567", }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": 1, "error": "", "results": [ { "lead_id": "884512", "phone_number": "5550100123", "status": "ANSWERED", "call_length": "45", "account_id": "ACC-10045", "phone_type": "MOBILE", "campaign_id": "1024", "called_count": "2", "first_name": "Jane", "last_name": "Doe", "call_date": "2026-10-15 14:02:11" } ] }}Try it